Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2082633002: Make sure api interceptors don't change the store target w/o storing (Closed)

Created:
3 years ago by jochen (gone - plz use gerrit)
Modified:
3 years ago
Reviewers:
Toon Verwaest
CC:
v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

Make sure api interceptors don't change the store target w/o storing BUG=chromium:619166 R=verwaest@chromium.org Committed: https://crrev.com/2c8ca9ad09281d4138ae363566051e45afd0838c Cr-Commit-Position: refs/heads/master@{#37152}

Patch Set 1 #

Patch Set 2 : updates #

Patch Set 3 : updates #

Total comments: 1

Patch Set 4 : updates #

Total comments: 1

Patch Set 5 : updates #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -2 lines) Patch
M src/objects.cc View 1 2 3 4 1 chunk +17 lines, -2 lines 0 comments Download

Messages

Total messages: 16 (2 generated)
jochen (gone - plz use gerrit)
3 years ago (2016-06-20 14:23:22 UTC) #1
Toon Verwaest
lgtm with a question: Shouldn't we verify access on the store target? If this happens ...
3 years ago (2016-06-20 14:48:33 UTC) #2
jochen (gone - plz use gerrit)
On 2016/06/20 at 14:48:33, verwaest wrote: > lgtm with a question: > > Shouldn't we ...
3 years ago (2016-06-20 15:08:59 UTC) #3
jochen (gone - plz use gerrit)
like this
3 years ago (2016-06-20 15:17:36 UTC) #4
Toon Verwaest
You'd have to cache verify the map of the store-target instead in that case. The ...
3 years ago (2016-06-20 18:34:42 UTC) #5
jochen (gone - plz use gerrit)
ptal
3 years ago (2016-06-21 08:29:53 UTC) #6
Toon Verwaest
https://codereview.chromium.org/2082633002/diff/40001/src/objects.cc File src/objects.cc (right): https://codereview.chromium.org/2082633002/diff/40001/src/objects.cc#newcode4334 src/objects.cc:4334: Utils::ApiCheck(*store_target == *it->GetStoreTarget(), Don't you want to do exactly ...
3 years ago (2016-06-21 13:09:24 UTC) #7
jochen (gone - plz use gerrit)
ptal
3 years ago (2016-06-21 14:44:26 UTC) #8
Toon Verwaest
Sorry, yet another comment :) https://codereview.chromium.org/2082633002/diff/60001/src/objects.cc File src/objects.cc (right): https://codereview.chromium.org/2082633002/diff/60001/src/objects.cc#newcode4327 src/objects.cc:4327: if (maybe_attributes.FromJust() == ABSENT) ...
3 years ago (2016-06-21 14:48:15 UTC) #9
jochen (gone - plz use gerrit)
On 2016/06/21 at 14:48:15, verwaest wrote: > Sorry, yet another comment :) > > https://codereview.chromium.org/2082633002/diff/60001/src/objects.cc ...
3 years ago (2016-06-21 17:01:31 UTC) #10
Toon Verwaest
lgtm ;)
3 years ago (2016-06-21 18:01:07 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2082633002/80001
3 years ago (2016-06-21 18:05:59 UTC) #13
commit-bot: I haz the power
Committed patchset #5 (id:80001)
3 years ago (2016-06-21 18:08:05 UTC) #14
commit-bot: I haz the power
3 years ago (2016-06-21 18:10:00 UTC) #16
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/2c8ca9ad09281d4138ae363566051e45afd0838c
Cr-Commit-Position: refs/heads/master@{#37152}

Powered by Google App Engine
This is Rietveld 408576698